Subject: Re: [PATCH 01/15] PCI: introduce pci_device_to_OF_node() for !CONFIG_OF

From: Michael Ellerman <[email-masked]>
Date: Tue, 03 Feb 2015 11:25:08 +1100

On Mon, 2015-02-02 at 09:47 -0600, Bjorn Helgaas wrote:
> On Sun, Feb 1, 2015 at 8:28 PM, Michael Ellerman <[email-masked]> wrote:
> > On Sat, 2015-01-31 at 21:47 +0800, Kevin Hao wrote:
> >> So we can avoid the ugly #ifdef in some drivers.
> >>
> >> Signed-off-by: Kevin Hao <[email-masked]>
> >> ---
> >>  include/linux/pci.h | 2 ++
> >>  1 file changed, 2 insertions(+)
> >
> >
> > Hi Bjorn,
> >
> > Do you mind putting this into your next for 3.20? Or giving us an ACK for it if
> > you prefer.
> 
> I think it makes more sense to merge this along with the other 14
> patches that remove the #ifdefs (at least, I assume that's what they
> do; I haven't seen them).

Yeah that is what they do.

The problem with doing it that way is the rest of the patches are splattered
all across the tree, so getting them merged as a series will require a lot of
searching for acks.

If you merged this one for 3.20 we could then merge the rest of the series one
at a time as the respective maintainers get around to it during the 3.21 cycle.

I probably should have said all that in my original mail :)

Anyway it's not a big deal, but that's why it'd be nice if you could take it.

cheers